Jump to content
3000AD Forums
Sign in to follow this  
Supreme Cmdr

Vista Compatibility

Recommended Posts

All of our games work with Vista, though our legacy (pre-Vista) are not officially supported.

You will need an Administrator account to install and run our games. If your account is not an Administrator, you will need to locate the game EXE, right-click to go to the Properties and choose "Run as administrator". This also applies to download version as well or it won't install. In which case, locate the file you downloaded and run it is Administrator as well.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

×